Package icyllis.arc3d.engine

# Class BackendFormat

java.lang.Object
icyllis.arc3d.engine.BackendFormat

Direct Known Subclasses:
  `GLBackendFormat`, `MockBackendFormat`, `VkBackendFormat`

@Immutable @Deprecated public abstract class BackendFormat extends Object
Deprecated.
Describes the backend texture format, immutable.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BackendFormat()`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract int`
  `getBackend()`
  Deprecated.
  `abstract int`
  `getBytesPerBlock()`
  Deprecated.
  `abstract int`
  `getChannelFlags()`
  Deprecated.
  Gets the channels present in the format as a bitfield of ColorChannelFlag values.
  `abstract int`
  `getCompressionType()`
  Deprecated.
  `abstract int`
  `getDepthBits()`
  Deprecated.
  `abstract int`
  `getFormatKey()`
  Deprecated.
  `int`
  `getGLFormat()`
  Deprecated.
  If the backend API is OpenGL this gets the format as a GLenum.
  `abstract int`
  `getStencilBits()`
  Deprecated.
  `int`
  `getVkFormat()`
  Deprecated.
  If the backend API is Vulkan this gets the format as a VkFormat.
  `final boolean`
  `isCompressed()`
  Deprecated.
  `final boolean`
  `isExternal()`
  Deprecated.
  Hints that a texture comes from external resources, and our engine cannot create such a texture with this format.
  `abstract boolean`
  `isSRGB()`
  Deprecated.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BackendFormat

    public BackendFormat()
    Deprecated.

- ## Method Details

  - ### getBackend

    public abstract int getBackend()
    Deprecated.
    See Also:
      - `Engine.BackendApi.kOpenGL`
      - `Engine.BackendApi.kVulkan`
      - `Engine.BackendApi.kMock`

  - ### getGLFormat

    public int getGLFormat()
    Deprecated.
    If the backend API is OpenGL this gets the format as a GLenum.

  - ### getVkFormat

    public int getVkFormat()
    Deprecated.
    If the backend API is Vulkan this gets the format as a VkFormat.

  - ### getChannelFlags

    public abstract int getChannelFlags()
    Deprecated.
    Gets the channels present in the format as a bitfield of ColorChannelFlag values.
    See Also:
      - `Color.COLOR_CHANNEL_FLAGS_RGBA`

  - ### isSRGB

    public abstract boolean isSRGB()
    Deprecated.

  - ### isExternal

    public final boolean isExternal()
    Deprecated.
    Hints that a texture comes from external resources, and our engine cannot create such a texture with this format. It will be read-only (can be read/sampled from but cannot be written/rendered to).

    This is reserved for future use and currently always returns false.

  - ### getCompressionType

    public abstract int getCompressionType()
    Deprecated.
    See Also:
      - `ColorInfo.COMPRESSION_NONE`

  - ### isCompressed

    public final boolean isCompressed()
    Deprecated.

  - ### getBytesPerBlock

    public abstract int getBytesPerBlock()
    Deprecated.
    Returns:
      if compressed, bytes per block, otherwise bytes per pixel

  - ### getDepthBits

    public abstract int getDepthBits()
    Deprecated.

  - ### getStencilBits

    public abstract int getStencilBits()
    Deprecated.

  - ### getFormatKey

    public abstract int getFormatKey()
    Deprecated.
    Returns:
      a key that is unique in the backend